//
// Generated by SwagGen
// https://github.com/yonaskolb/SwagGen
//

import Foundation
import JSONUtilities

public class IdentifiantUtilisateur: JSONDecodable, JSONEncodable, PrettyPrintable {

    public var identifiantUtilisateur: String?

    public init(identifiantUtilisateur: String? = nil) {
        self.identifiantUtilisateur = identifiantUtilisateur
    }

    public required init(jsonDictionary: JSONDictionary) throws {
        identifiantUtilisateur = jsonDictionary.json(atKeyPath: "identifiantUtilisateur")
    }

    public func encode() -> JSONDictionary {
        var dictionary: JSONDictionary = [:]
        if let identifiantUtilisateur = identifiantUtilisateur {
            dictionary["identifiantUtilisateur"] = identifiantUtilisateur
        }
        return dictionary
    }

    /// pretty prints all properties including nested models
    public var prettyPrinted: String {
        return "\(Swift.type(of: self)):\n\(encode().recursivePrint(indentIndex: 1))"
    }
}
